# patch QEDprocesses
# see issue https://github.com/QEDjl-project/QEDprocesses.jl/issues/77
@inline function QEDprocesses.number_particles(
    proc_def::AbstractProcessDefinition, dir::DIR, ::PT
) where {DIR<:ParticleDirection,PT<:AbstractParticleType}
    return count(x -> x isa PT, particles(proc_def, dir))
end
